summary refs log tree commit diff
path: root/home/.local/bin/sup
diff options
context:
space:
mode:
Diffstat (limited to 'home/.local/bin/sup')
-rwxr-xr-xhome/.local/bin/sup8
1 files changed, 8 insertions, 0 deletions
diff --git a/home/.local/bin/sup b/home/.local/bin/sup
new file mode 100755
index 00000000..22f2b85e
--- /dev/null
+++ b/home/.local/bin/sup
@@ -0,0 +1,8 @@
+#!/usr/bin/env zsh
+set -o errexit -o nounset -o pipefail
+
+dir=$(mktemp -d)
+screencapture -i "$dir/capture.png"
+pngo "$dir/capture.png"
+up "$dir/capture.png"
+rm -r "$dir"
99&follow=1'>Fix compat.h for #defined strlcpyJune McEnroe 2019-11-06Allow unsetting LIBRESSL_PREFIXJune McEnroe 2019-11-06Document calico service configurationJune McEnroe 2019-11-06Document SASL EXTERNAL configuration in more detailJune McEnroe 2019-11-06Document pounce service configurationJune McEnroe 2019-11-06Mention Darwin and GNU/Linux in READMEJune McEnroe 2019-11-06Assume LibreSSL from brew on DarwinJune McEnroe 2019-11-06Remove -DNO_EXPLICIT_BZERO from Darwin.mkJune McEnroe 2019-11-06Don't install rc scripts or dirs on LinuxJune McEnroe